Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessFunctionResultCallback_1_3< del, R, P1, A1, A2, A3 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessFunctionResultCallback_1_3< del, R, P1, A1, A2, A3 >:

List of all members.

## Public Types

typedef TessCallback3< A1, A2, A3 > | base
typedef R(* | FunctionSignature )(P1, A1, A2, A3)

## Public Member Functions

| _TessFunctionResultCallback_1_3 (FunctionSignature function, P1 p1)
virtual R | Run (A1 a1, A2 a2, A3 a3)
Public Member Functions inherited from TessCallback3< A1, A2, A3 >
virtual | ~TessCallback3 ()

## Detailed Description

### template<bool del, class R, class P1, class A1, class A2, class A3>
class _TessFunctionResultCallback_1_3< del, R, P1, A1, A2, A3 >

Definition at line 1172 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class R, class P1, class A1, class A2, class A3>

typedef TessCallback3<A1,A2,A3> _TessFunctionResultCallback_1_3< del, R, P1, A1, A2, A3 >::base

Definition at line 1174 of file tesscallback.h.

template<bool del, class R, class P1, class A1, class A2, class A3>

typedef R(* _TessFunctionResultCallback_1_3< del, R, P1, A1, A2, A3 >::FunctionSignature)(P1, A1, A2, A3)

Definition at line 1175 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class R, class P1, class A1, class A2, class A3>

_TessFunctionResultCallback_1_3< del, R, P1, A1, A2, A3 >::_TessFunctionResultCallback_1_3 | ( | FunctionSignature | function,
|  | P1 | p1
| ) |  |

inline

Definition at line 1182 of file tesscallback.h.

: function_(function), p1_(p1) { }

## Member Function Documentation

template<bool del, class R, class P1, class A1, class A2, class A3>

virtual R _TessFunctionResultCallback_1_3< del, R, P1, A1, A2, A3 >::Run | ( | A1 | a1,
|  | A2 | a2,
|  | A3 | a3
| ) |  |

inlinevirtual

Implements TessCallback3< A1, A2, A3 >.

Definition at line 1185 of file tesscallback.h.

{
if (!del) {
R result = (*function_)(p1_,a1,a2,a3);
return result;
} else {
R result = (*function_)(p1_,a1,a2,a3);
// zero out the pointer to ensure segfault if used again
function_ = NULL;
delete this;
return result;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h